package com.simingtang.smt_face_ml_kit

import android.content.Context
import androidx.camera.core.Preview
import androidx.camera.view.PreviewView
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

class SMTCameraViewFactory(private val previewView: PreviewView) :
    PlatformViewFactory(StandardMessageCodec.INSTANCE) {
    override fun create(context: Context?, viewId: Int, args: Any?): PlatformView {
        return SMTCameraView(previewView)
    }
}